Create transfer
Creates a deposit or withdrawal transfer for the specified business.
Path Parameters
- Type: stringbusiness
_id requiredUnique identifier for the business.
Body·
required
application/json
- Properties: 2Type:amountrequired
- Type: stringbank
_account _id required - Type: "deposit" or "withdrawal"enumdirectionrequired
- Type: stringidempotency
_key required - Type: "ach" or "wire"enumtyperequired
- Properties: 1Type: object | nulluser
_data
Responses
- application/json
Request Example for post/businesses/{business_id}/transfers
curl 'https://api.treasurefinancial.com/v1/businesses/{business_id}/transfers' \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"amount": {
"currency": "USD",
"amount": "150000.00"
},
"bank_account_id": "",
"direction": "withdrawal",
"type": "wire",
"idempotency_key": "",
"user_data": null
}'
{
"id": "string",
"amount": {
"currency": "USD",
"amount": "150000.00"
},
"bank_account_id": "string",
"direction": "withdrawal",
"type": "wire",
"status": "PENDING",
"idempotency_key": "string",
"user_data": {
"additionalProperty": "anything"
},
"created_at": "2022-01-01T00:00:00.000Z",
"updated_at": "2022-01-01T00:00:00.000Z"
}